import { OnChanges, OnInit, OnDestroy } from '@angular/core';
import { TdChartOptionsService } from '../chart-options.service';
import { ITdAxisLine, ITdAxisLabel, ITdAxisTick, ITdSplitLine, ITdSplitArea, ITdAxisPointer, TdAxisType, TdNameLocation, TdXAxisPosition, TdYAxisPosition } from './axis.interface';
import * as i0 from "@angular/core";
export declare abstract class TdChartAxisDirective implements OnChanges, OnInit, OnDestroy {
    private _axisOption;
    private _optionsService;
    private _state;
    config: any;
    id?: string;
    show?: boolean;
    gridIndex?: number;
    offset?: number;
    abstract position: TdXAxisPosition | TdYAxisPosition;
    type?: TdAxisType;
    name?: string;
    nameLocation?: TdNameLocation;
    nameTextStyle?: any;
    nameGap?: number;
    nameRotate?: number;
    inverse?: boolean;
    boundaryGap?: boolean | string[];
    min?: string | number;
    max?: string | number;
    scale?: boolean;
    minInterval?: number;
    interval?: number;
    logBase?: number;
    silent?: boolean;
    triggerEvent?: boolean;
    axisLine?: ITdAxisLine;
    axisTick?: ITdAxisTick;
    axisLabel?: ITdAxisLabel;
    splitLine?: ITdSplitLine;
    splitArea?: ITdSplitArea;
    data?: any;
    axisPointer?: ITdAxisPointer;
    zlevel?: number;
    z?: number;
    constructor(_axisOption: string, _optionsService: TdChartOptionsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private _setOptions;
    private _removeOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartAxisDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TdChartAxisDirective, never, never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "show": { "alias": "show"; "required": false; }; "gridIndex": { "alias": "gridIndex"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "type": { "alias": "type"; "required": false; }; "name": { "alias": "name"; "required": false; }; "nameLocation": { "alias": "nameLocation"; "required": false; }; "nameTextStyle": { "alias": "nameTextStyle"; "required": false; }; "nameGap": { "alias": "nameGap"; "required": false; }; "nameRotate": { "alias": "nameRotate"; "required": false; }; "inverse": { "alias": "inverse"; "required": false; }; "boundaryGap": { "alias": "boundaryGap"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "scale": { "alias": "scale"; "required": false; }; "minInterval": { "alias": "minInterval"; "required": false; }; "interval": { "alias": "interval"; "required": false; }; "logBase": { "alias": "logBase"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; "triggerEvent": { "alias": "triggerEvent"; "required": false; }; "axisLine": { "alias": "axisLine"; "required": false; }; "axisTick": { "alias": "axisTick"; "required": false; }; "axisLabel": { "alias": "axisLabel"; "required": false; }; "splitLine": { "alias": "splitLine"; "required": false; }; "splitArea": { "alias": "splitArea"; "required": false; }; "data": { "alias": "data"; "required": false; }; "axisPointer": { "alias": "axisPointer"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; }, {}, never, never, false, never>;
}
