import { TdChartOptionsService, ITdItemStyle, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export type TdMapValueCalculation = 'sum' | 'average' | 'max' | 'min';
export type TdMapSeriesLayoutBy = 'column' | 'row';
export interface ITdMapScaleLimit {
    min?: number;
    max?: number;
}
export interface ITdMapItemStyle {
    areaColor?: ITdItemStyle;
    emphasis?: ITdItemStyle;
}
export interface ITdMapSeries extends ITdSeries {
    map?: string;
    roam?: boolean;
    center?: number[];
    aspectScale?: number;
    boudingCoords?: any[];
    zoom?: number;
    scaleLimit?: ITdMapScaleLimit;
    nameMap?: object;
    selectedMode?: boolean | string;
    label?: ITdLabel;
    itemStyle?: ITdMapItemStyle;
    zLevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    layoutCenter?: any[];
    layoutSize?: any[];
    geoIndex?: number;
    mapValueCalculation?: TdMapValueCalculation;
    showLegendSymbol?: boolean;
    seriesLayoutBy?: string;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    silent?: boolean;
}
export declare class TdChartSeriesMapComponent extends TdSeriesDirective implements ITdMapSeries {
    map?: string;
    roam?: boolean;
    center?: number[];
    aspectScale?: number;
    boudingCoords?: any[];
    zoom?: number;
    scaleLimit?: ITdMapScaleLimit;
    nameMap?: object;
    selectedMode?: boolean | string;
    label?: ITdLabel;
    itemStyle?: ITdMapItemStyle;
    zLevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    layoutCenter?: any[];
    layoutSize?: any[];
    geoIndex?: number;
    mapValueCalculation?: TdMapValueCalculation;
    showLegendSymbol?: boolean;
    seriesLayoutBy?: string;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesMapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesMapComponent, "td-chart-series[td-map]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "map": { "alias": "map"; "required": false; }; "roam": { "alias": "roam"; "required": false; }; "center": { "alias": "center"; "required": false; }; "aspectScale": { "alias": "aspectScale"; "required": false; }; "boudingCoords": { "alias": "boudingCoords"; "required": false; }; "zoom": { "alias": "zoom"; "required": false; }; "scaleLimit": { "alias": "scaleLimit"; "required": false; }; "nameMap": { "alias": "nameMap"; "required": false; }; "selectedMode": { "alias": "selectedMode"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "zLevel": { "alias": "zLevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "layoutCenter": { "alias": "layoutCenter"; "required": false; }; "layoutSize": { "alias": "layoutSize"; "required": false; }; "geoIndex": { "alias": "geoIndex"; "required": false; }; "mapValueCalculation": { "alias": "mapValueCalculation"; "required": false; }; "showLegendSymbol": { "alias": "showLegendSymbol"; "required": false; }; "seriesLayoutBy": { "alias": "seriesLayoutBy"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; }, {}, never, never, false, never>;
}
